# VNetArmor route map
RULE docs_assets
IF HOST equals www.example.com
IF PATH_PREFIX prefix /docs/assets/
BACKEND=docs
POOL=docs_pool
ACTION=allow
END

RULE docs_www
IF HOST equals www.example.com
IF PATH_PREFIX prefix /docs/
BACKEND=docs
POOL=docs_pool
ACTION=allow
END

RULE docs_root_assets
IF HOST equals example.com
IF PATH_PREFIX prefix /docs/assets/
BACKEND=docs
POOL=docs_pool
ACTION=allow
END

RULE docs_root
IF HOST equals example.com
IF PATH_PREFIX prefix /docs/
BACKEND=docs
POOL=docs_pool
ACTION=allow
END

RULE portal_root
IF HOST equals portal.example.com
IF PATH_PREFIX prefix /
BACKEND=portal_app
POOL=portal_pool
ACTION=allow
END

RULE portal_Admin
IF HOST equals portal.example.com
IF PATH_PREFIX prefix /admin/*
BACKEND=portal_app
POOL=portal_pool
ACTION=allow
END

RULE contact_api_www
IF HOST equals www.example.com
IF PATH_PREFIX prefix /api/contact
BACKEND=contact_api
POOL=contact_pool
ACTION=allow
END

RULE contact_api_root
IF HOST equals example.com
IF PATH_PREFIX prefix /api/contact
BACKEND=contact_api
POOL=contact_pool
ACTION=allow
END

RULE web-app_root
IF HOST equals example.com
IF PATH_PREFIX prefix /
BACKEND=web-app
POOL=static_pool
ACTION=allow
END

RULE web-app_www
IF HOST equals www.example.com
IF PATH_PREFIX prefix /
BACKEND=web-app
POOL=static_pool
ACTION=allow
END

#RULE sandbox_portal
#IF HOST equals sandbox.example.com
#IF PATH_PREFIX prefix /
#BACKEND=sandbox_portal
#POOL=sandbox_pool
#ACTION=allow
#END
